Skip to content

Add tenant membership

POST
/tenants/{id}/memberships
curl --request POST \
--url https://api.muninx.com/tenants/example/memberships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "organization": "example", "role": "admin" }'

Adds a user to a tenant. Team assignment is derived from the membership role.

id
required
string

Tenant organization ID

Membership

Media type application/json
object
email
string
organization
string
role
string
Allowed values: admin agent customer

OK

Media type application/json
object
auto-assign-tickets
boolean
email
string
organization
string
role
string
status
string
team-id
string
tenant-id
string
Example generated
{
"auto-assign-tickets": true,
"email": "example",
"organization": "example",
"role": "example",
"status": "example",
"team-id": "example",
"tenant-id": "example"
}

Accepted

Media type application/json
object
status
string
Example generated
{
"status": "example"
}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}